<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/send_mail_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr">  1 </span>04/21/82  send_mail_
<span id="L2" class="LineNr">  2 </span>
<span id="L3" class="LineNr">  3 </span>
<span id="L4" class="LineNr">  4 </span>Entry points in send_mail_:
<span id="L5" class="LineNr">  5 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L6" class="LineNr">  6 </span>
<span id="L7" class="LineNr">  7 </span>
<span id="L8" class="LineNr">  8 </span>:Entry: send_mail_:  04/05/82  send_mail_
<span id="L9" class="LineNr">  9 </span>
<span id="L10" class="LineNr"> 10 </span>
<span id="L11" class="LineNr"> 11 </span>Function: sends an interactive message or mail to a specified user.
<span id="L12" class="LineNr"> 12 </span>
<span id="L13" class="LineNr"> 13 </span>
<span id="L14" class="LineNr"> 14 </span>Syntax:
<span id="L15" class="LineNr"> 15 </span>declare send_mail_ entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L16" class="LineNr"> 16 </span>call send_mail_ <span class="textRainbow_lv0_p0">(</span>destination<span class="textRainbow_lv0_o0">,</span> message<span class="textRainbow_lv0_o0">,</span> info_ptr<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L17" class="LineNr"> 17 </span>
<span id="L18" class="LineNr"> 18 </span>
<span id="L19" class="LineNr"> 19 </span>Arguments:
<span id="L20" class="LineNr"> 20 </span>destination
<span id="L21" class="LineNr"> 21 </span>   is a Person_id.Project_id destination.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L22" class="LineNr"> 22 </span>message
<span id="L23" class="LineNr"> 23 </span>   is the text of the message to be sent.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L24" class="LineNr"> 24 </span>info_ptr
<span id="L25" class="LineNr"> 25 </span>   points to the structure declared in send_mail_info.incl.pl1.
<span id="L26" class="LineNr"> 26 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>  See &quot;Notes on info structure&quot; below.
<span id="L27" class="LineNr"> 27 </span>
<span id="L28" class="LineNr"> 28 </span>
<span id="L29" class="LineNr"> 29 </span>code
<span id="L30" class="LineNr"> 30 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span> It may be one of the following:
<span id="L31" class="LineNr"> 31 </span>   error_table_$noentry
<span id="L32" class="LineNr"> 32 </span>        if the mailbox is not found
<span id="L33" class="LineNr"> 33 </span>   error_table_$no_append
<span id="L34" class="LineNr"> 34 </span>        if the sending process has insufficient access to add a message
<span id="L35" class="LineNr"> 35 </span>   error_table_$wakeup_denied
<span id="L36" class="LineNr"> 36 </span>        the sending process has insufficient access to send a wakeup
<span id="L37" class="LineNr"> 37 </span>   error_table_$messages_deferred
<span id="L38" class="LineNr"> 38 </span>        if the recipient process is deferring messages
<span id="L39" class="LineNr"> 39 </span>   error_table_$messages_off
<span id="L40" class="LineNr"> 40 </span>        if the recipient is not logged in or the recipient process has
<span id="L41" class="LineNr"> 41 </span>        not been initialized for receiving messages
<span id="L42" class="LineNr"> 42 </span>   error_table_$no_info
<span id="L43" class="LineNr"> 43 </span>        if the sending process is not given any information because it
<span id="L44" class="LineNr"> 44 </span>        has a lower AIM authorization than the recipient process
<span id="L45" class="LineNr"> 45 </span>
<span id="L46" class="LineNr"> 46 </span>
<span id="L47" class="LineNr"> 47 </span>Notes on info structure:
<span id="L48" class="LineNr"> 48 </span>The info_ptr pointer points to the following structure <span class="textRainbow_lv0_p0">(</span>found in the
<span id="L49" class="LineNr"> 49 </span>include file<span class="textRainbow_lv0_o0">,</span> send_mail_info.incl.pl1<span class="textRainbow_lv0_p0">)</span>:
<span id="L50" class="LineNr"> 50 </span>
<span id="L51" class="LineNr"> 51 </span>     dcl 1 send_mail_info    aligned,
<span id="L52" class="LineNr"> 52 </span>           2 version         fixed bin,
<span id="L53" class="LineNr"> 53 </span>           2 sent_from       char<span class="textRainbow_lv0_p0">(</span>32<span class="textRainbow_lv0_p0">)</span> aligned,
<span id="L54" class="LineNr"> 54 </span>           2 switches,
<span id="L55" class="LineNr"> 55 </span>             3 wakeup        bit<span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span> unal,
<span id="L56" class="LineNr"> 56 </span>             3 mbz 1         bit<span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span> unal,
<span id="L57" class="LineNr"> 57 </span>             3 always_add    bit<span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span> unal,
<span id="L58" class="LineNr"> 58 </span>             3 never_add     bit<span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span> unal,
<span id="L59" class="LineNr"> 59 </span>             3 notify        bit<span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span> unal,
<span id="L60" class="LineNr"> 60 </span>             3 acknowledge   bit<span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span> unal,
<span id="L61" class="LineNr"> 61 </span>             3 mbz           bit<span class="textRainbow_lv0_p0">(</span>30<span class="textRainbow_lv0_p0">)</span> unal;
<span id="L62" class="LineNr"> 62 </span>
<span id="L63" class="LineNr"> 63 </span>
<span id="L64" class="LineNr"> 64 </span>Structure elements:
<span id="L65" class="LineNr"> 65 </span>   version
<span id="L66" class="LineNr"> 66 </span>      identifies the version of the structure being used.  Currently
<span id="L67" class="LineNr"> 67 </span>      this number must be 2.
<span id="L68" class="LineNr"> 68 </span>   sent_from
<span id="L69" class="LineNr"> 69 </span>      gives additional information about the sender, e.g., name of
<span id="L70" class="LineNr"> 70 </span>      anonymous user or name of network site.
<span id="L71" class="LineNr"> 71 </span>   wakeup
<span id="L72" class="LineNr"> 72 </span>      indicates whether a wakeup is sent with the message.
<span id="L73" class="LineNr"> 73 </span>      &quot;1&quot;b   yes
<span id="L74" class="LineNr"> 74 </span>      &quot;0&quot;b   no
<span id="L75" class="LineNr"> 75 </span>
<span id="L76" class="LineNr"> 76 </span>
<span id="L77" class="LineNr"> 77 </span>   always_add
<span id="L78" class="LineNr"> 78 </span>      indicates whether the message is to be added even if a wakeup
<span id="L79" class="LineNr"> 79 </span>      could not be sent.
<span id="L80" class="LineNr"> 80 </span>      &quot;1&quot;b   yes
<span id="L81" class="LineNr"> 81 </span>      &quot;0&quot;b   no
<span id="L82" class="LineNr"> 82 </span>   never_add
<span id="L83" class="LineNr"> 83 </span>      tests whether a wakeup can be sent, without trying to add a
<span id="L84" class="LineNr"> 84 </span>      message.
<span id="L85" class="LineNr"> 85 </span>      &quot;1&quot;b   yes
<span id="L86" class="LineNr"> 86 </span>      &quot;0&quot;b   no
<span id="L87" class="LineNr"> 87 </span>
<span id="L88" class="LineNr"> 88 </span>
<span id="L89" class="LineNr"> 89 </span>   notify
<span id="L90" class="LineNr"> 90 </span>      indicates that this message is a mail notification.  After
<span id="L91" class="LineNr"> 91 </span>      sending a piece of mail, a second message should be sent which
<span id="L92" class="LineNr"> 92 </span>      has the bit ON so that the receiving process <span class="textRainbow_lv0_p0">(</span>if any<span class="textRainbow_lv0_p0">)</span> will print
<span id="L93" class="LineNr"> 93 </span>      the &quot;You have mail.&quot; notification.
<span id="L94" class="LineNr"> 94 </span>      &quot;1&quot;b   this is a mail notification
<span id="L95" class="LineNr"> 95 </span>      &quot;0&quot;b   this is NOT a mail notification, but either mail or an
<span id="L96" class="LineNr"> 96 </span>             interactive message depending on the &quot;wakeup&quot; bit above.
<span id="L97" class="LineNr"> 97 </span>   acknowledge
<span id="L98" class="LineNr"> 98 </span>      indicates whether an acknowledgement is requested when the
<span id="L99" class="LineNr"> 99 </span>      message is read.
<span id="L100" class="LineNr">100 </span>      &quot;1&quot;b   yes
<span id="L101" class="LineNr">101 </span>      &quot;0&quot;b   no
<span id="L102" class="LineNr">102 </span>   mbz1, mbz
<span id="L103" class="LineNr">103 </span>      are not used and must be set to &quot;0&quot;b.
<span id="L104" class="LineNr">104 </span>
<span id="L105" class="LineNr">105 </span>
<span id="L106" class="LineNr">106 </span>:Entry: access_class:  04/05/82  send_mail_$access_class
<span id="L107" class="LineNr">107 </span>
<span id="L108" class="LineNr">108 </span>
<span id="L109" class="LineNr">109 </span>Function:  This entry is identical to send_mail_, except that the
<span id="L110" class="LineNr">110 </span>caller may specify the access class of the message.  <span class="textRainbow_lv0_p0">(</span>In send_mail_<span class="textRainbow_lv0_o0">,</span>
<span id="L111" class="LineNr">111 </span>the access class of the message is always equal to the authorization of
<span id="L112" class="LineNr">112 </span>the calling process.<span class="textRainbow_lv0_p0">)</span>  This entry is of use only if a site is using
<span id="L113" class="LineNr">113 </span>AIM.  For information on access classes, see &quot;Nondiscretionary Access
<span id="L114" class="LineNr">114 </span>Control&quot; in Section VI of the MPM Reference Guide.
<span id="L115" class="LineNr">115 </span>
<span id="L116" class="LineNr">116 </span>
<span id="L117" class="LineNr">117 </span>Syntax:
<span id="L118" class="LineNr">118 </span>declare send_mail_$access_class entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L119" class="LineNr">119 </span>     bit<span class="textRainbow_lv1_p0">(</span>72<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L120" class="LineNr">120 </span>call send_mail_$access_class <span class="textRainbow_lv0_p0">(</span>destination<span class="textRainbow_lv0_o0">,</span> message<span class="textRainbow_lv0_o0">,</span> info_ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L121" class="LineNr">121 </span>     access_class<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L122" class="LineNr">122 </span>
<span id="L123" class="LineNr">123 </span>
<span id="L124" class="LineNr">124 </span>Arguments:
<span id="L125" class="LineNr">125 </span>destination
<span id="L126" class="LineNr">126 </span>   is a Person_id.Project_id destination.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L127" class="LineNr">127 </span>message
<span id="L128" class="LineNr">128 </span>   is the text of the message to be sent.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L129" class="LineNr">129 </span>info_ptr
<span id="L130" class="LineNr">130 </span>   points to the structure declared in send_mail_info.incl.pl1.
<span id="L131" class="LineNr">131 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>  See &quot;Notes on info structure&quot; under the description of the
<span id="L132" class="LineNr">132 </span>   send_mail_ entry point.
<span id="L133" class="LineNr">133 </span>access_class
<span id="L134" class="LineNr">134 </span>   is the access class of the message.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L135" class="LineNr">135 </span>code
<span id="L136" class="LineNr">136 </span>   is a standard status code. <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L137" class="LineNr">137 </span>
<span id="L138" class="LineNr">138 </span>
<span id="L139" class="LineNr">139 </span>Notes:  Normally the message is written into the mailbox of the
<span id="L140" class="LineNr">140 </span>receiver at the access_class specified by the sender.  However, if
<span id="L141" class="LineNr">141 </span>send_mail_info.wakeup is &quot;1&quot;b and the receiver is accepting messages,
<span id="L142" class="LineNr">142 </span>and further, if the authorization of the receiver is greater than or
<span id="L143" class="LineNr">143 </span>equal to the access_class of the message, the access_class of the
<span id="L144" class="LineNr">144 </span>message is automatically upgraded to the authorization of the receiver.
<span id="L145" class="LineNr">145 </span>This allows the receiver to delete the message once he has read it.
<span id="L146" class="LineNr">146 </span>
<span id="L147" class="LineNr">147 </span>
<span id="L148" class="LineNr">148 </span>:Entry: path:  04/05/82  send_mail_$path
<span id="L149" class="LineNr">149 </span>
<span id="L150" class="LineNr">150 </span>
<span id="L151" class="LineNr">151 </span>Function:  This entry point sends an interactive message or mail to a
<span id="L152" class="LineNr">152 </span>specified mailbox.
<span id="L153" class="LineNr">153 </span>
<span id="L154" class="LineNr">154 </span>
<span id="L155" class="LineNr">155 </span>Syntax:
<span id="L156" class="LineNr">156 </span>declare send_mail_$path entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L157" class="LineNr">157 </span>     fixed bin <span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L158" class="LineNr">158 </span>call send_mail_$path <span class="textRainbow_lv0_p0">(</span>dir_name<span class="textRainbow_lv0_o0">,</span> entryname<span class="textRainbow_lv0_o0">,</span> message<span class="textRainbow_lv0_o0">,</span> info_ptr<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L159" class="LineNr">159 </span>
<span id="L160" class="LineNr">160 </span>
<span id="L161" class="LineNr">161 </span>Arguments:
<span id="L162" class="LineNr">162 </span>dir_name
<span id="L163" class="LineNr">163 </span>   is the directory name of a mailbox.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L164" class="LineNr">164 </span>entryname
<span id="L165" class="LineNr">165 </span>   is the entryname of a mailbox.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span> The .mbx suffix is added if
<span id="L166" class="LineNr">166 </span>   it is not supplied.
<span id="L167" class="LineNr">167 </span>message
<span id="L168" class="LineNr">168 </span>   is the text of the message to be sent.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L169" class="LineNr">169 </span>info_ptr
<span id="L170" class="LineNr">170 </span>   points to the structure declared in send_mail_info.incl.pl1.
<span id="L171" class="LineNr">171 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>  See &quot;Notes on info structure&quot; under the description of the
<span id="L172" class="LineNr">172 </span>   send_mail_ entry point.
<span id="L173" class="LineNr">173 </span>code
<span id="L174" class="LineNr">174 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L175" class="LineNr">175 </span>
<span id="L176" class="LineNr">176 </span>
<span id="L177" class="LineNr">177 </span>:Entry: path_access_class:  04/05/82  send_mail_$path_access_class
<span id="L178" class="LineNr">178 </span>
<span id="L179" class="LineNr">179 </span>
<span id="L180" class="LineNr">180 </span>Function:  This entry point sends a message to a specified mailbox,
<span id="L181" class="LineNr">181 </span>allowing the user to specify the access class of the message.
<span id="L182" class="LineNr">182 </span>
<span id="L183" class="LineNr">183 </span>
<span id="L184" class="LineNr">184 </span>Syntax:
<span id="L185" class="LineNr">185 </span>declare send_mail_$path_access_class entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L186" class="LineNr">186 </span>     ptr<span class="textRainbow_lv0_o0">,</span> bit<span class="textRainbow_lv1_p0">(</span>72<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_o0">,</span> fixed bin <span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L187" class="LineNr">187 </span>call send_mail_$path_access_class <span class="textRainbow_lv0_p0">(</span>dir_name<span class="textRainbow_lv0_o0">,</span> entryname<span class="textRainbow_lv0_o0">,</span> message<span class="textRainbow_lv0_o0">,</span>
<span id="L188" class="LineNr">188 </span>     info_ptr<span class="textRainbow_lv0_o0">,</span> access_class<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L189" class="LineNr">189 </span>
<span id="L190" class="LineNr">190 </span>
<span id="L191" class="LineNr">191 </span>Arguments:
<span id="L192" class="LineNr">192 </span>dir_name
<span id="L193" class="LineNr">193 </span>   is the directory name of a mailbox.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L194" class="LineNr">194 </span>entryname
<span id="L195" class="LineNr">195 </span>   is the entryname of a mailbox.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span> The .mbx suffix is added if
<span id="L196" class="LineNr">196 </span>   it is not supplied.
<span id="L197" class="LineNr">197 </span>message
<span id="L198" class="LineNr">198 </span>   is the text of the message to be sent.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L199" class="LineNr">199 </span>info_ptr
<span id="L200" class="LineNr">200 </span>   points to the structure declared in send_mail_info.incl.pl1.
<span id="L201" class="LineNr">201 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>  See &quot;Notes on info structure&quot; under the description of the
<span id="L202" class="LineNr">202 </span>   send_mail_ entry point.
<span id="L203" class="LineNr">203 </span>access_class
<span id="L204" class="LineNr">204 </span>   is the access class of the message.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L205" class="LineNr">205 </span>code
<span id="L206" class="LineNr">206 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
